<?php 


		include('../FE/conexion.php'); 
		
		if ($result = $mysqli->query("SELECT estadoComprobanteIntegracion FROM facturas WHERE  estadoComprobanteIntegracion =0  || ( estadoComprobanteIntegracion  between 4  and 201 ) || ( estadoComprobanteIntegracion  between 203  and 402 )  ||  estadoComprobanteIntegracion > 403  " )) {
   $entregados = $result->num_rows;
   $result->close();
}

if ($result = $mysqli->query("SELECT estenvio,cdgcli FROM facturas WHERE estenvio =0 and cdgcli != 9999  and  estadoComprobanteIntegracion=1  " )) {
   $enviados = $result->num_rows;
   $result->close();
}

if ($result = $mysqli->query("SELECT estrechazo,cdgcli FROM facturas WHERE estrechazo = 0 and ( estadoComprobanteIntegracion = 2 || estadoComprobanteIntegracion = 3 ) " )) {
   $corregidos = $result->num_rows;
   $result->close();
}


if ($result = $mysqli->query("SELECT estadoComprobanteIntegracion FROM facturas WHERE    estadoComprobanteIntegracion > 3  " )) {
   $estados = $result->num_rows;
   $result->close();
}


/////////////////////////////////////////////////////////////////////////   SELECT  DE NOTAS DE CREDITO ////////////////////////////////////////////////////

if ($result = $mysqli->query("SELECT estadoComprobanteIntegracion FROM facturas_notas WHERE  estadoComprobanteIntegracion=0  " )) {
   $entregados_NC = $result->num_rows;
   $result->close();
}

if ($result = $mysqli->query("SELECT estenvio,cdgcli FROM facturas_notas WHERE estenvio =0 and cdgcli != 9999 and  estadoComprobanteIntegracion=1 " )) {
   $enviados_NC = $result->num_rows;
   $result->close();
}

if ($result = $mysqli->query("SELECT estrechazo,cdgcli FROM facturas_notas WHERE estrechazo = 0 and estadoComprobanteIntegracion = 2 || estadoComprobanteIntegracion = 3  " )) {
   $corregidos_NC = $result->num_rows;
   $result->close();
}


if ($result = $mysqli->query("SELECT estadoComprobanteIntegracion FROM facturas_notas WHERE    estadoComprobanteIntegracion > 3  " )) {
   $estados_NC = $result->num_rows;
   $result->close();
}



/////////////////////////////////////////////////////////////////////////   SELECT  DE NOTAS DE DEBITO ////////////////////////////////////////////////////


if ($result = $mysqli->query("SELECT estadoComprobanteIntegracion FROM facturas_notas_debito WHERE  estadoComprobanteIntegracion=0  " )) {
   $entregados_ND = $result->num_rows;
   $result->close();
}

if ($result = $mysqli->query("SELECT estenvio,cdgcli FROM facturas_notas_debito WHERE estenvio =0 and cdgcli != 9999 and  estadoComprobanteIntegracion=1 " )) {
   $enviados_ND = $result->num_rows;
   $result->close();
}

if ($result = $mysqli->query("SELECT estrechazo,cdgcli FROM facturas_notas_debito WHERE estrechazo = 0 and estadoComprobanteIntegracion = 2 || estadoComprobanteIntegracion = 3  " )) {
   $corregidos_ND = $result->num_rows;
   $result->close();
}

if ($result = $mysqli->query("SELECT estadoComprobanteIntegracion FROM facturas_notas_debito WHERE    estadoComprobanteIntegracion > 3  " )) {
   $estados_ND = $result->num_rows;
   $result->close();
}

 ?>
 <html>
	<head>
		<title>Principal</title>
		<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
<script src="Scripts/swfobject_modified.js" type="text/javascript"></script>
 <style type="text/css">
<!--
.Estilo2 {color: #F0F0F0}
-->
 </style>
 
 
 <script>
function  esperar(){ 
 
 	document.getElementById('bloquea').style.display='block';
 }
 
 	function enviar_hacienda() {		
    window.open("../Comprobantes_fac/enviar_hacienda_masivo.php","frame_datos1","width=1,height=1,scrollbars=yes");
	window.open("../Comprobantes_nc/enviar_hacienda_masivo.php","frame_datos2","width=1,height=1,scrollbars=yes");
	window.open("../Comprobantes_nd/enviar_hacienda_masivo.php","frame_datos3","width=1,height=1,scrollbars=yes");
	}
		

	function consultar_estado() {
    window.open("../Comprobantes_fac/consultar_estado_masivo.php","frame_datos4","width=1,height=1,scrollbars=yes");
    window.open("../Comprobantes_nc/consultar_estado_masivo.php","frame_datos5","width=1,height=1,scrollbars=yes");
	window.open("../Comprobantes_nd/consultar_estado_masivo.php","frame_datos6","width=1,height=1,scrollbars=yes");
	}		


	function enviar_email() {
    window.open("../Comprobantes_fac/enviar_correo_masivo.php","frame_datos7","width=1,height=1,scrollbars=yes");
    window.open("../Comprobantes_nc/enviar_correo_masivo.php","frame_datos8","width=1,height=1,scrollbars=yes");
	window.open("../Comprobantes_nd/enviar_correo_masivo.php","frame_datos9","width=1,height=1,scrollbars=yes");
	}	
 
 </script>
 
  
 </head>

<script type="text/javascript">
swfobject.registerObject("FlashID");
</script>

		
		

<?php
	


		$hoy=date("Y-m-d");
		$hora=date("H:i:s");


							/////////////////   BUSCA ULTIMA ACTUALIZACION  /////////////////////////
							
	$consulta = "SELECT MAX(id) AS id  FROM tabbackup";
	$resultado = $mysqli->query($consulta);
	$fila = $resultado->fetch_array();
	$id =  $fila["id"];

						
	$consulta2 = "SELECT fecha FROM tabbackup WHERE id='$id'";
	$resultado2 = $mysqli->query($consulta2);
	$row = $resultado2->fetch_array();
	$fecha = $row["fecha"];
	

//////////////////     VALIDA SI NO HAY NINGUNO REALIZADO HOY  ENTONCES LO REALIZA  ////////////////////

	if ($hoy <> $fecha ) {
	
	
	include ("../funciones/fechas.php");
	$denominacion="Automatico";   // TIPO DE RESPALDO 
	

?>
<script type="text/javascript"> 
window.location="respaldar_bd.php"; 
</script>
<?php
			 

		}
	

echo "<script>";
echo "enviar_hacienda();";
echo "consultar_estado();";
echo "enviar_email();";
echo "</script>";	
?>

	  <iframe id="frame_datos1" name="frame_datos1" width="0" height="0" frameborder="0">
	  <ilayer width="0" height="0" id="frame_datos1" name="frame_datos1"></ilayer>
	  </iframe>
	  
	  <iframe id="frame_datos2" name="frame_datos2" width="0" height="0" frameborder="0">
	  <ilayer width="0" height="0" id="frame_datos2" name="frame_datos2"></ilayer>
	  </iframe>
	  
	  
	  <iframe id="frame_datos3" name="frame_datos3" width="0" height="0" frameborder="0">
	  <ilayer width="0" height="0" id="frame_datos3" name="frame_datos3"></ilayer>
	  </iframe>
		
			  <iframe id="frame_datos4" name="frame_datos4" width="0" height="0" frameborder="0">
	  <ilayer width="0" height="0" id="frame_datos4" name="frame_datos4"></ilayer>
	  </iframe>
		
			  <iframe id="frame_datos5" name="frame_datos5" width="0" height="0" frameborder="0">
	  <ilayer width="0" height="0" id="frame_datos5" name="frame_datos5"></ilayer>
	  </iframe>
		
			  <iframe id="frame_datos6" name="frame_datos6" width="0" height="0" frameborder="0">
	  <ilayer width="0" height="0" id="frame_datos6" name="frame_datos6"></ilayer>
	  </iframe>
		
			  <iframe id="frame_datos7" name="frame_datos7" width="0" height="0" frameborder="0">
	  <ilayer width="0" height="0" id="frame_datos7" name="frame_datos7"></ilayer>
	  </iframe>
		
			  <iframe id="frame_datos8" name="frame_datos8" width="0" height="0" frameborder="0">
	  <ilayer width="0" height="0" id="frame_datos8" name="frame_datos8"></ilayer>
	  </iframe>
		
			  <iframe id="frame_datos9" name="frame_datos9" width="0" height="0" frameborder="0">
	  <ilayer width="0" height="0" id="frame_datos9" name="frame_datos9"></ilayer>
	  </iframe>
		
	
	
	<?php
			 

		require('fondo.php'); /**/	
?>	

		